// WebPage.h: interface for the CWebPage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WEBPAGE_H__446FF9E1_B583_11D3_9F13_080009EE62AA__INCLUDED_)
#define AFX_WEBPAGE_H__446FF9E1_B583_11D3_9F13_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxinet.h>

class CWebPage  
{
public:
	BOOL IsLoaded() const { return( m_Loaded?TRUE:FALSE ); }
	BOOL Refresh();
	CString ExtractUntilTag( const char * Tag=0);
	bool FindAndExtract( const char *Str, bool BeforeAlso=true );
	void RemoveTags( CString& Str );
	virtual BOOL ParsePage();
	virtual BOOL LoadURL( const char* URL );
	CString m_Page;
	CWebPage();
	virtual ~CWebPage();

protected:
	CString m_URL;
	CInternetSession m_Session;
	bool m_Loaded;
};

#endif // !defined(AFX_WEBPAGE_H__446FF9E1_B583_11D3_9F13_080009EE62AA__INCLUDED_)
